#!/bin/sh

echo -ne "Content-type: text/plain\r\n"
#echo -ne "Content-length:32\r\n"
echo -ne "\r\n" # end of HTTP header
echo -ne "OK"

#Get camera information:
model_name=$(confclient -p 9 -g system_info_modelname| sed 's/system_info_modelname=//g') 
sys_date=$(confclient -p 9 -g system_date| sed 's/system_date=//g') 
sys_time=$(confclient -p 9 -g system_time| sed 's/system_time=//g') 
mac_addr=$(confclient -p 9 -g system_info_serialnumber| sed 's/system_info_serialnumber=//g') 
full_fw_version=$(confclient -p 9 -g system_info_firmwareversion| sed 's/system_info_firmwareversion=//g') 
fw_version=${full_fw_version##*-}
pkg_version=$(cat /etc/pkg-version)

#Get camera module information:
onvif_version=$(confclient -p 9 -g capability_version_onvifdaemon| sed 's/capability_version_onvifdaemon=//g') 
full_onvif_tool=$(confclient -p 9 -g capability_version_onviftesttool| sed 's/capability_version_onviftesttool=//g') 
onvif_tool=$(echo $full_onvif_tool | sed 's/,/ /g' | awk '{print $1}')
mod_version=$(confclient -p 9 -g capability_localstorage_modversion| sed 's/capability_localstorage_modversion=//g') 
stormgr_version=$(confclient -p 9 -g capability_localstorage_stormgrversion| sed 's/capability_localstorage_stormgrversion=//g') 
smartstream_version=$(confclient -p 9 -g capability_smartstream_version| sed 's/capability_smartstream_version=//g') 
vadp_version=$(confclient -p 9 -g vadp_version| sed 's/vadp_version=//g') 
ptzmanager_version=$(ptzmanager -version| sed '2,3d s/PTZ Manager Version://g')
rtsps_version=$(rtsps | sed '1d 3,$d s/RTSPSTREAMING Server Module Version: //g') 
smartsd_version=$(smartsd -version| sed '2,3d s/Virtual input daemon version://g')

#Get hardware data source
#source /mnt/flash/etc/conf.d/hardware_profile
cam_platform=$(cat /proc/cpuinfo |grep -m 1 "Hardware"|cut -d' ' -f 2-)


#Print XML header
header='<?xml version="1.0" encoding="UTF-8"?>\n'

#Print system content
sysparam_content='<parameters>\n\t<model_name>'"$model_name"'</model_name>\n\t''<mac_address>'"$mac_addr"'</mac_address>\n\t''<firmware_version>'"$fw_version"'</firmware_version>\n\t''<pkg_version>'"$pkg_version"'</pkg_version>\n\t''<onvif_version>'"$onvif_version"'</onvif_version>\n\t''<onvif_tool>'"$onvif_tool"'</onvif_tool>\n\t''<mod_version>'"$mod_version"'</mod_version>\n\t''<stormgr_version>'"$stormgr_version"'</stormgr_version>\n\t''<smartstream_version>'"$smartstream_version"'</smartstream_version>\n\t''<vadp_version>'"$vadp_version"'</vadp_version>\n\t''<ptzmanager_version>'"$ptzmanager_version"'</ptzmanager_version>\n\t''<rtsps_version>'"$rtsps_version"'</rtsps_version>\n\t''<smartsd_version>'"$smartsd_version"'</smartsd_version>\n\t''<system_date>'"$sys_date"'</system_date>\n\t''<system_time>'"$sys_time"'</system_time>\n\t''<cam_platform>'"$cam_platform"'</cam_platform>\n''</parameters>\n'

#Print hardware content
#hardware_content='<hardware>\n\t<cam_platform>'"$PLATFORM"'</cam_platform>\n\t''<cam_ddr>'"$DDR_SIZE"'</cam_ddr>\n''</hardware>\n'
#hardware_content='<hardware>\n\t<cam_platform>'"$PLATFORM"'</cam_platform>\n\t''<cam_ddr>'"$DDR_SIZE"'</cam_ddr>\n''</hardware>\n'


echo -ne $header $sysparam_content > ../www/files/camera_param.xml

/usr/bin/logger -p info "XML created"


